<?php

$MSXcharsetJP = array(
	0x86 => "\u{3092}",		// 'を' HIRAGANA LETTER WO
	0x87 => "\u{3041}",		// 'ぁ' HIRAGANA LETTER SMALL A
	0x88 => "\u{3043}",		// 'ぃ' HIRAGANA LETTER SMALL I
	0x89 => "\u{3045}",		// 'ぅ' HIRAGANA LETTER SMALL U
	0x8A => "\u{3047}",		// 'ぇ' HIRAGANA LETTER SMALL E
	0x8B => "\u{3049}",		// 'ぉ' HIRAGANA LETTER SMALL O
	0x8C => "\u{3083}",		// 'ゃ' HIRAGANA LETTER SMALL YA
	0x8D => "\u{3085}",		// 'ゅ' HIRAGANA LETTER SMALL YU
	0x8E => "\u{3087}",		// 'ょ' HIRAGANA LETTER SMALL YO
	0x8F => "\u{3063}",		// 'っ' HIRAGANA LETTER SMALL TU

	0x90 => "\u{3000}",		// '
	0x91 => "\u{3042}",		// 'あ' HIRAGANA LETTER A
	0x92 => "\u{3044}",		// 'い' HIRAGANA LETTER I
	0x93 => "\u{3046}",		// 'う' HIRAGANA LETTER U
	0x94 => "\u{3048}",		// 'え' HIRAGANA LETTER E
	0x95 => "\u{304A}",		// 'お' HIRAGANA LETTER O
	0x96 => "\u{304B}",		// 'か' HIRAGANA LETTER KA
	0x97 => "\u{304D}",		// 'き' HIRAGANA LETTER KI
	0x98 => "\u{304F}",		// 'く' HIRAGANA LETTER KU
	0x99 => "\u{3051}",		// 'け' HIRAGANA LETTER KE
	0x9A => "\u{3053}",		// 'こ' HIRAGANA LETTER KO
	0x9B => "\u{3055}",		// 'さ' HIRAGANA LETTER SA
	0x9C => "\u{3057}",		// 'し' HIRAGANA LETTER SI
	0x9D => "\u{3059}",		// 'す' HIRAGANA LETTER SU
	0x9E => "\u{305B}",		// 'せ' HIRAGANA LETTER SE
	0x9F => "\u{305D}",		// 'そ' HIRAGANA LETTER SO
	
	0xA0 => "\u{FF00}",		// '＀'
	0xA1 => "\u{FF61}",		// '｡' HALFWIDTH IDEOGRAPHIC FULL STOP
	0xA2 => "\u{FF62}",		// '｢' HALFWIDTH LEFT CORNER BRACKET
	0xA3 => "\u{FF63}",		// '｣' HALFWIDTH RIGHT CORNER BRACKET
	0xA4 => "\u{FF64}",		// '､' HALFWIDTH IDEOGRAPHIC COMMA
	0xA5 => "\u{FF65}",		// '･' HALFWIDTH Katakana MIDDLE DOT
	0xA6 => "\u{FF66}",		// 'ｦ' HALFWIDTH Katakana LETTER WO
	0xA7 => "\u{FF67}",		// 'ｧ' HALFWIDTH Katakana LETTER SMALL A
	0xA8 => "\u{FF68}",		// 'ｨ' HALFWIDTH Katakana LETTER SMALL I
	0xA9 => "\u{FF69}",		// 'ｩ' HALFWIDTH Katakana LETTER SMALL U
	0xAA => "\u{FF6A}",		// 'ｪ' HALFWIDTH Katakana LETTER SMALL E
	0xAB => "\u{FF6B}",		// 'ｫ' HALFWIDTH Katakana LETTER SMALL O
	0xAC => "\u{FF6C}",		// 'ｬ' HALFWIDTH Katakana LETTER SMALL YA
	0xAD => "\u{FF6D}",		// 'ｭ' HALFWIDTH Katakana LETTER SMALL YU
	0xAE => "\u{FF6E}",		// 'ｮ' HALFWIDTH Katakana LETTER SMALL YO
	0xAF => "\u{FF6F}",		// 'ｯ' HALFWIDTH Katakana LETTER SMALL TU
	0xB0 => "\u{FF70}",		// 'ｰ' HALFWIDTH Katakana-Hiragana PROLONGED SOUND MARK
	0xB1 => "\u{FF71}",		// 'ｱ' HALFWIDTH Katakana LETTER A
	0xB2 => "\u{FF72}",		// 'ｲ' HALFWIDTH Katakana LETTER I
	0xB3 => "\u{FF73}",		// 'ｳ' HALFWIDTH Katakana LETTER U
	0xB4 => "\u{FF74}",		// 'ｴ' HALFWIDTH Katakana LETTER E
	0xB5 => "\u{FF75}",		// 'ｵ' HALFWIDTH Katakana LETTER O
	0xB6 => "\u{FF76}",		// 'ｶ' HALFWIDTH Katakana LETTER KA
	0xB7 => "\u{FF77}",		// 'ｷ' HALFWIDTH Katakana LETTER KI
	0xB8 => "\u{FF78}",		// 'ｸ' HALFWIDTH Katakana LETTER KU
	0xB9 => "\u{FF79}",		// 'ｹ' HALFWIDTH Katakana LETTER KE
	0xBA => "\u{FF7A}",		// 'ｺ' HALFWIDTH Katakana LETTER KO
	0xBB => "\u{FF7B}",		// 'ｻ' HALFWIDTH Katakana LETTER SA
	0xBC => "\u{FF7C}",		// 'ｼ' HALFWIDTH Katakana LETTER SI
	0xBD => "\u{FF7D}",		// 'ｽ' HALFWIDTH Katakana LETTER SU
	0xBE => "\u{FF7E}",		// 'ｾ' HALFWIDTH Katakana LETTER SE
	0xBF => "\u{FF7F}",		// 'ｿ' HALFWIDTH Katakana LETTER SO
	0xC0 => "\u{FF80}",		// 'ﾀ' HALFWIDTH Katakana LETTER TA
	0xC1 => "\u{FF81}",		// 'ﾁ' HALFWIDTH Katakana LETTER TI
	0xC2 => "\u{FF82}",		// 'ﾂ' HALFWIDTH Katakana LETTER TU
	0xC3 => "\u{FF83}",		// 'ﾃ' HALFWIDTH Katakana LETTER TE
	0xC4 => "\u{FF84}",		// 'ﾄ' HALFWIDTH Katakana LETTER TO
	0xC5 => "\u{FF85}",		// 'ﾅ' HALFWIDTH Katakana LETTER NA
	0xC6 => "\u{FF86}",		// 'ﾆ' HALFWIDTH Katakana LETTER NI
	0xC7 => "\u{FF87}",		// 'ﾇ' HALFWIDTH Katakana LETTER NU
	0xC8 => "\u{FF88}",		// 'ﾈ' HALFWIDTH Katakana LETTER NE
	0xC9 => "\u{FF89}",		// 'ﾉ' HALFWIDTH Katakana LETTER NO
	0xCA => "\u{FF8A}",		// 'ﾊ' HALFWIDTH Katakana LETTER HA
	0xCB => "\u{FF8B}",		// 'ﾋ' HALFWIDTH Katakana LETTER HI
	0xCC => "\u{FF8C}",		// 'ﾌ' HALFWIDTH Katakana LETTER HU
	0xCD => "\u{FF8D}",		// 'ﾍ' HALFWIDTH Katakana LETTER HE
	0xCE => "\u{FF8E}",		// 'ﾎ' HALFWIDTH Katakana LETTER HO
	0xCF => "\u{FF8F}",		// 'ﾏ' HALFWIDTH Katakana LETTER MA
	0xD0 => "\u{FF90}",		// 'ﾐ' HALFWIDTH Katakana LETTER MI
	0xD1 => "\u{FF91}",		// 'ﾑ' HALFWIDTH Katakana LETTER MU
	0xD2 => "\u{FF92}",		// 'ﾒ' HALFWIDTH Katakana LETTER ME
	0xD3 => "\u{FF93}",		// 'ﾓ' HALFWIDTH Katakana LETTER MO
	0xD4 => "\u{FF94}",		// 'ﾔ' HALFWIDTH Katakana LETTER YA
	0xD5 => "\u{FF95}",		// 'ﾕ' HALFWIDTH Katakana LETTER YU
	0xD6 => "\u{FF96}",		// 'ﾖ' HALFWIDTH Katakana LETTER YO
	0xD7 => "\u{FF97}",		// 'ﾗ' HALFWIDTH Katakana LETTER RA
	0xD8 => "\u{FF98}",		// 'ﾘ' HALFWIDTH Katakana LETTER RI
	0xD9 => "\u{FF99}",		// 'ﾙ' HALFWIDTH Katakana LETTER RU
	0xDA => "\u{FF9A}",		// 'ﾚ' HALFWIDTH Katakana LETTER RE
	0xDB => "\u{FF9B}",		// 'ﾛ' HALFWIDTH Katakana LETTER RO
	0xDC => "\u{FF9C}",		// 'ﾜ' HALFWIDTH Katakana LETTER WA
	0xDD => "\u{FF9D}",		// 'ﾝ' HALFWIDTH Katakana LETTER N
	0xDE => "\u{FF9E}",		// 'ﾞ' HALFWIDTH Katakana VOICED SOUND MARK
	0xDF => "\u{FF9F}",		// 'ﾟ' HALFWIDTH Katakana SEMI-VOICED SOUND MARK

	0xE0 => "\u{305F}",		// 'た' HIRAGANA LETTER TA
	0xE1 => "\u{3061}",		// 'ち' HIRAGANA LETTER TI
	0xE2 => "\u{3064}",		// 'つ' HIRAGANA LETTER TU
	0xE3 => "\u{3066}",		// 'て' HIRAGANA LETTER TE
	0xE4 => "\u{3068}",		// 'と' HIRAGANA LETTER TO
	0xE5 => "\u{306A}",		// 'な' HIRAGANA LETTER NA
	0xE6 => "\u{306B}",		// 'に' HIRAGANA LETTER NI
	0xE7 => "\u{306C}",		// 'ぬ' HIRAGANA LETTER NU
	0xE8 => "\u{306D}",		// 'ね' HIRAGANA LETTER NE
	0xE9 => "\u{306E}",		// 'の' HIRAGANA LETTER NO
	0xEA => "\u{306F}",		// 'は' HIRAGANA LETTER HA
	0xEB => "\u{3072}",		// 'ひ' HIRAGANA LETTER HI
	0xEC => "\u{3075}",		// 'ふ' HIRAGANA LETTER HU
	0xED => "\u{3078}",		// 'へ' HIRAGANA LETTER HE
	0xEE => "\u{307B}",		// 'ほ' HIRAGANA LETTER HO
	0xEF => "\u{307E}",		// 'ま' HIRAGANA LETTER MA
	0xF0 => "\u{307F}",		// 'み' HIRAGANA LETTER MI
	0xF1 => "\u{3080}",		// 'む' HIRAGANA LETTER MU
	0xF2 => "\u{3081}",		// 'め' HIRAGANA LETTER ME
	0xF3 => "\u{3082}",		// 'も' HIRAGANA LETTER MO
	0xF4 => "\u{3084}",		// 'や' HIRAGANA LETTER YA
	0xF5 => "\u{3086}",		// 'ゆ' HIRAGANA LETTER YU
	0xF6 => "\u{3088}",		// 'よ' HIRAGANA LETTER YO
	0xF7 => "\u{3089}",		// 'ら' HIRAGANA LETTER RA
	0xF8 => "\u{308A}",		// 'り' HIRAGANA LETTER RI
	0xF9 => "\u{308B}",		// 'る' HIRAGANA LETTER RU
	0xFA => "\u{308C}",		// 'れ' HIRAGANA LETTER RE
	0xFB => "\u{308D}",		// 'ろ' HIRAGANA LETTER RO
	0xFC => "\u{308F}",		// 'わ' HIRAGANA LETTER WA
	0xFD => "\u{3093}",		// 'ん' HIRAGANA LETTER N
	0xFE => "\u{3000}",		// '

	0x0140 => "\u{3000}",	// '　' Ideographic Space
	0x0141 => "\u{6708}",	// '月' Ideograph moon; month; KangXi radical 74 CJK
	0x0142 => "\u{706B}",	// '火' Ideograph fire, flame; burn; anger, rage CJK
	0x0143 => "\u{6C34}",	// '水' Ideograph water, liquid, lotion, juice CJK
	0x0144 => "\u{6728}",	// '木' Ideograph tree; wood, lumber; wooden CJK
	0x0145 => "\u{91D1}",	// '金' Ideograph gold; metals in general; money CJK
	0x0146 => "\u{571F}",	// '土' Ideograph soil, earth; items made of earth CJK
	0x0147 => "\u{65E5}",	// '日' Ideograph sun; day; daytime CJK
	0x0148 => "\u{5E74}",	// '年' Ideograph year; new-years; person's age CJK
	0x0149 => "\u{5186}",	// '円' Ideograph yen CJK
	0x014A => "\u{6642}",	// '時' Ideograph time, season; era, age, period CJK
	0x014B => "\u{5206}",	// '分' Ideograph divide; small unit of time etc. CJK
	0x014C => "\u{7261}",	// '牡' Ideograph male of animals; bolt of door CJK
	0x014D => "\u{767E}",	// '百' Ideograph one hundred; numerous, many CJK
	0x014E => "\u{5343}",	// '千' Ideograph thousand; many, numerous; very; (Cant.) a cheater, swindler CJK
	0x014F => "\u{4E07}",	// '万' Ideograph ten thousand; innumerable CJK
	0x0150 => "\u{5140}",	// '兀' Ideograph to cut off the feet CJK
	0x015D => "\u{5927}",	// '大' Ideograph big, great, vast, large, high CJK
	0x015E => "\u{4E2D}",	// '中' Ideograph central; center, middle; in the midst of; hit (target); attain CJK
	0x015F => "\u{5C0F}",	// '小' Ideograph small, tiny, insignificant CJK
);

?>
